=========================================================
===	Hyperspace Delivery Boy Demo
=========================================================

-----------------------
(1) SYSTEM REQUIREMENTS
-----------------------

A computer running Linux with a graphics card capable of
640x480 in 16bpp.

CPU requirements for the Linux version varies depending on
desktop color depth. It plays very well on a 500 MHz
computer running at 16 bpp. you use for 24 bpp display the
game will be significantly slower than if it had used 16
bpp, since the amount of data needed for all blitting is
double.  You can try to use the --fast flag, which skips
frames updates to increase speed.

If you run the game as root with SDL_VIDEODRIVER set to DGA,
the game also runs a lot faster since hardware accelleration
is then used.

----------------
(2) INSTALLATION
----------------

Very simple. Run the install file using sh:

	sh hdb_demo-XXXX.run

Alternatively, you can run it after chmodding:

	chmod +x hdb_demo-XXXX.run
	./hdb_demo-XXXX.run

Then just follow the instructions in the quite ordinary
install program and you should be set. Execute 'hdb_demo' to run
the game once installed.


--------------------
(3) PLAYING THE GAME
--------------------

You're Guy. You deliver things. Control Guy with the mouse
(click on the destionation tile) or using the arrow keys on
the keyboard. Click on Guy to change between walking and
running speed. Click on objects and people to talk or
otherwise use / activate / push them. The keys can be
reconfigured in the Options screen.

Note that save games are rotated. I.e the first save game is
always the last one saved. Once you have filled all slots,
old save games will be deleted.

The Linux version features these additional keybindings:

Ctrl-z		- Iconify
Ctrl-g		- Grab / ungrab input in windowed mode.
Alt-q		- Quick-quit without passing the menu.
Alt-Enter	- Toggle between fullscreen/windowed mode.
Print Screen	- Save screenshot (~/.monkeystone/hdb/screenshots/)

There are also some command line options available:

  -f, --fullscreen       Force start in fullscreen mode.
  -w, --windowed         Force start in windowed mode.
  -s, --nosound          Don't initialize the sound.
  -b, --showfps          Show FPS counter on stdout. 
  -q, --quick            Run faster on slower systems by skipping
                         frame updates to the display buffer. 
  -n, --no-joystick      Do not initialize the joystick subsystem.
  -l, --list-joysticks   List available joysticks and exit.
  -j, --joynr ARG        The index of the joystick to use. Use -l
                         show all available joysticks.
  -0, --use ARG          Joystick activate/use button.
  -1, --run-toggle ARG   Joystick run/walk toggle button.
  -2, --escape ARG       Joystick button used as Escape.
  -3, --switch ARG       Button used to switch joystick mode.
  -h, --help             Print usage information and exit.
  -v, --version          Print version number and exit.

A new feature in the Linux version of HDB is joystick
control. It works as follows:

  HDB for Linux features joystick controls. Unless changed
  button 0 works as 'use/activate', button 1 to toggle
  between walking and running, button 2 as escape and button
  3 to switch joystick modes. The default mode moves guy
  while the alternative mode emulates the mouse. In the
  menu, the joystick always works as the mouse.

-------------------    
(4) TROUBLESHOOTING    
-------------------    

The following are some of the more common problems you might
have, and recommended solutions:

Q: The game runs slowly or feels laggy. 

A: Your computer or graphics card is too slow.
A: You are running X11 in 32 bpp mode. Try switching to 16 bpp.
A: There are other applications running on the computer that
   are competing for the CPU.

Q: Isn't there a way to make the game run faster?
A: Upgrade your computer (joke!)
A: Run X in 16 bpp mode.
A: Try running as root, after executing the following
   command:
	export SDL_VIDEODRIVER=dga (bash)
	setenv SDL_VIDEODRIVER dga (tcsh)

A: Start the game with the --fast flag (faster, but skips
   every other frame update)

Q: I get no sound.

A: Make sure the sound device is available. HDB should
   support audio through most (all?) Linux audio output devices
   and applications (i.e OSS, ALSA, esd etc).

Q: The sound is delayed / laggy.
A: This should have been fixed. If you notice this problem,
   you might be using esd or some other sound server, which
   adds latency

Q: How do I use my own SDL library?
Q: I want to use esd, ALSA, ARTS or some other video driver.
   How can I do this?
A: Use the hdb_demo.dynamic binary that is installed in the game
   installation location. Note that this is not a supported
   solution.

--------------
(5) KNOWN BUGS
--------------

When you load an early save game you might see yourself
still sleeping in the bed.

-------------------------
(5) CONTACTING EON GAMES
-------------------------

Support issues:    support@eongames.com
Sales information: sales@eongames.com
Website:           http://eongames.com/
IRC:		   irc://irc.freenode.net/#eon
